%define rname beryl
%define name %{rname}-manager
%define version 0.2.0
%define release %mkrel 2

Name: %name
Version: %version
Release: %release
Summary: Beryl Manager
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: X11-devel
BuildRequires: beryl-core-devel >= %{version}
BuildRequires: png-devel
BuildRequires: libgtk+2.0-devel
BuildRequires: intltool
BuildRequires: glib-gettextize
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: xvinfo
Requires: xlsclients

# compiz-manager was renamed to beryl-manager
Provides: compiz-manager
Obsoletes: compiz-manager

%description
Beryl Manager - an applet to manage which window manager you want
to run.


%prep
%setup -q

%build
# Prevent libtoolize running which messes things up.
rm -f configure.in configure.ac

%configure2_5x --disable-mime-update
%make

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %{name}

# Remove useless script
rm -f %{buildroot}%{_bindir}/start-%{name}

desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %buildroot

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/fall-back-wm-select.png
%{_datadir}/pixmaps/wd-select.png
%{_datadir}/pixmaps/wm-select.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Mar 17 2007 Dal Magro MauRice <MauRice@mandrivaclub.nl> 0.2.0-1mcnl2007.0
- Rebuild x86_64

* Wed Mar 15 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-1mcnl2007.0
+ new version

* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 0.1.9999.2-2mdv2007.0
+ Revision: 132166
- fix desktop entry categories

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120680
- New Release Candidate 0.1.9999.2 (RC2)

* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116456
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111376
- New version 0.2.0 Beta 2

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2007.1
+ Revision: 102811
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94443
- The official 0.1.3

  + plouf <plouf>
    - New rev 0.1.3

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.1
+ Revision: 85539
- More minor spec cleanup
- Spec file cleanup

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-1mdv2007.0
+ Revision: 78070
- New Release 0.1.2

* Tue Oct 24 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-2mdv2007.1
+ Revision: 72137
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel
- Add in missing build requires accidentially overwritten in last update.

  + plouf <plouf>
    - New revision 0.1.1

* Mon Oct 16 2006 plouf <plouf> 0.1.0-5mdv2007.0
+ Revision: 65509
- fix requires on xlsclients
- fix requires on xvinfo

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix BuildRequires
    - Rebuild
    - Proper handling of Provides/Obsoletes for package renames
    - First release of Beryl Manager
    - Compiz Quinnstorm becomes Beryl
    - Fix BuildRequires from automated reports

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.13-1mdv2007.0
+ Revision: 61827
- Import compiz-manager

